Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06799 Crash/Freeze Critical (emulation) Always Dec 24, 2017, 20:27 Jan 3, 2018, 00:24
Tester wuemura View Status Public Platform MAME (Official Binary)
Assigned To AJR Resolution Fixed OS Windows 10 (64-bit)
Status [?] Resolved Driver dynax.cpp
Version 0.192 Fixed in Version 0.194 Build 64-bit
Summary 06799: hjingi: Emulation hang
Description Game hang and does loud noises
Steps To Reproduce 1. inset coin & press 1P
2. Press 1P
3. Emulation hang and do noises
Additional Information
Flags
Regression Version
Affected Sets / Systems hjingi
Attached Files
 
Relationships
There are no relationsihp linked to this issue.
Notes
3
User avatar
No.14559
Tafoid
Administrator
Dec 24, 2017, 22:19
https://github.com/mamedev/mame/commit/fe999de3d3d76ddc3b4f448628fe32714e0c2a03
Good chance this is the regression. It happens on this day, anyway.
User avatar
No.14564
Osso
Developer
Dec 26, 2017, 08:56
edited on: Dec 26, 2017, 08:56
That's because hjingi_bank_w used to only set the palette bank, while after the change it sets the rom bank too.
Something like this hacks it to work, but I'll let AJR have a look.

WRITE8_MEMBER(dynax_state::hjingi_bank_w)
{
if (data > 0x0f && data < 0x16)
m_bankdev->set_bank(data);
}

User avatar
No.14606
AJR
Developer
Jan 3, 2018, 00:24
Clearly hjingi_bank_w was one function I didn't fully understand when I was rewriting the driver. I managed to remove it entirely in the course of separating the bank switches.